Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.CustomEncryptData Class Reference

## Public Member Functions
| CustomEncryptData ()
| Constructor.
| CustomEncryptData (boolean is_encrypt_metadata, String filter, String sub_filter)
| Constructor, with parameters. More...
| CustomEncryptData (CustomEncryptData other)
| Constructor, with another custom encrypt data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
String | getFilter ()
| Get the filter name of a custom security callback object. More...
boolean | getIs_encrypt_metadata ()
| Get a boolean value to decide whether to encrypt metadata or not. More...
String | getSub_filter ()
| Get the sub filter name that specifies the syntax of the encryption dictionary contents. More...
void | set (boolean is_encrypt_metadata, String filter, String sub_filter)
| Set value. More...
void | setFilter (String value)
| Set the filter name of a custom security callback object. More...
void | setIs_encrypt_metadata (boolean value)
| Set a boolean value to decide whether to encrypt metadata or not. More...
void | setSub_filter (String value)
| Set the sub filter name that specifies the syntax of the encryption dictionary contents. More...

## Detailed Description

This class represents some data used for class CustomSecurityHandler .

## Constructor & Destructor Documentation

## ◆ CustomEncryptData() [1/2]

com.foxit.sdk.pdf.CustomEncryptData.CustomEncryptData | ( | boolean | is_encrypt_metadata,
|  | String | filter,
|  | String | sub_filter
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ CustomEncryptData() [2/2]

com.foxit.sdk.pdf.CustomEncryptData.CustomEncryptData | ( | CustomEncryptData | other | ) |

Constructor, with another custom encrypt data object.

Parameters

  [in] | other | Another custom encrypt data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.CustomEncryptData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFilter()

com.foxit.sdk.pdf.CustomEncryptData.getFilter | ( |  | ) |

Get the filter name of a custom security callback object.

Returns
  The filter name of a custom security callback object. It should not be an empty string.

## ◆ getIs_encrypt_metadata()

com.foxit.sdk.pdf.CustomEncryptData.getIs_encrypt_metadata | ( |  | ) |

Get a boolean value to decide whether to encrypt metadata or not.

Returns
  A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## ◆ getSub_filter()

com.foxit.sdk.pdf.CustomEncryptData.getSub_filter | ( |  | ) |

Get the sub filter name that specifies the syntax of the encryption dictionary contents.

Returns
  The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ set()

void com.foxit.sdk.pdf.CustomEncryptData.set | ( | boolean | is_encrypt_metadata,
|  | String | filter,
|  | String | sub_filter
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.

## ◆ setFilter()

com.foxit.sdk.pdf.CustomEncryptData.setFilter | ( | String | value | ) |

Set the filter name of a custom security callback object.

Parameters

  [in] | value | The filter name of a custom security callback object. It should not be an empty string.

Returns
  None.

## ◆ setIs_encrypt_metadata()

com.foxit.sdk.pdf.CustomEncryptData.setIs_encrypt_metadata | ( | boolean | value | ) |

Set a boolean value to decide whether to encrypt metadata or not.

Parameters

  [in] | value | A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

Returns
  None.

## ◆ setSub_filter()

com.foxit.sdk.pdf.CustomEncryptData.setSub_filter | ( | String | value | ) |

Set the sub filter name that specifies the syntax of the encryption dictionary contents.

Parameters

  [in] | value | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.